<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="booking">
            <h2><span>Booking</span> {{ booking.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Bookingtime</span></dt>
                <dd>
                    <span>{{ booking.bookingtime }}</span>
                </dd>
                <dt><span>Booking Starttime</span></dt>
                <dd>
                    <span>{{ booking.bookingStarttime }}</span>
                </dd>
                <dt><span>Booking Endtime</span></dt>
                <dd>
                    <span>{{ booking.bookingEndtime }}</span>
                </dd>
                <dt><span>Pickup Point</span></dt>
                <dd>
                    <span>{{ booking.pickupPoint }}</span>
                </dd>
                <dt><span>Drop Point</span></dt>
                <dd>
                    <span>{{ booking.dropPoint }}</span>
                </dd>
                <dt><span>License</span></dt>
                <dd>
                    <div *ngIf="booking.license">
                        <a (click)="openFile(booking.licenseContentType, booking.license)">
                            <img [src]="'data:' + booking.licenseContentType + ';base64,' + booking.license" style="max-width: 100%;" alt="booking image"/>
                        </a>
                        {{ booking.licenseContentType }}, {{ byteSize(booking.license) }}
                    </div>
                </dd>
                <dt><span>License Valid</span></dt>
                <dd>
                    <span>{{ booking.licenseValid }}</span>
                </dd>
                <dt><span>Car</span></dt>
                <dd>
                    <span *ngFor="let car of booking.cars; let last = last">
                        <a [routerLink]="['/car', car?.id, 'view']">{{ car.name }}</a>{{ last ? '' : ', ' }}
                    </span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/booking', booking.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
